GET
/v1/agent/dashboards/primary
Get Primary Dashboard
curl https://api.{cluster}.{platform}.voiger.io/v1/agent/dashboards/primary \
-H "Cookie: sid=$VOIGER_SESSION" \
-H "x-workspace-code: your-workspace-code"
const res = await fetch("https://api.{cluster}.{platform}.voiger.io/v1/agent/dashboards/primary", {
method: "GET",
credentials: "include",
headers: { "x-workspace-code": "your-workspace-code" },
})
const data = await res.json()
Parameters
x-workspace-code
string
required
in header
id
string
Dashboard unique identifier
name
string
Dashboard name
description
string
Dashboard description
image_id
string
Dashboard image identifier (can be null)
visibility
string
Dashboard visibility setting
mutable
boolean
Whether the dashboard can be modified
is_primary
boolean
Whether this is the primary dashboard
owner_id
string
Dashboard owner agent ID
created_at
string
Creation timestamp
updated_at
string
Last update timestamp
widgets▾
array
List of widgets in the dashboard
id
string
Widget unique identifier
key
string
Widget key identifier
category
string
Widget category
sub_category
string
Widget sub-category
settings
object
Widget configuration settings
created_at
string
Creation timestamp
updated_at
string
Last update timestamp
json · 200
{
"dashboard": {
"id": "19a2ed8a-76a4-47cc-a8ac-79c1bca4612e",
"name": "Agent Dashboard",
"description": "Your personal dashboard",
"image_id": "a9788d2e-ca37-41e3-b440-85ae6f8cd4c6",
"owner_id": "dadc2fb8-9c37-4f47-b6d4-aa4198887819",
"created_at": "2025-09-25T11:51:21.812772Z",
"mutable": true,
"visibility": "private",
"is_primary": true,
"updated_at": "2025-09-26T11:45:06.534073Z",
"widgets": [
{
"id": "d56d3828-c326-4973-baaf-d68696b7405d",
"key": "analytics/live_queues",
"category": "analytics",
"sub_category": "live",
"settings": {
"position": 1,
"size": "medium"
},
"created_at": "2025-09-26T11:45:06.535910Z",
"updated_at": "2025-09-26T11:45:06.535910Z"
},
{
"id": "bd352fd5-c332-4fb9-a40e-3a6546009147",
"key": "analytics/call_stats",
"category": "analytics",
"sub_category": "summary",
"settings": {
"position": 2,
"size": "large"
},
"created_at": "2025-09-26T11:45:06.536539Z",
"updated_at": "2025-09-26T11:45:06.536539Z"
}
]
}
}